org.h2.store

## Class FileStoreInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.h2.store.FileStoreInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public class FileStoreInputStream
    extends java.io.InputStream

An input stream that is backed by a file store.

### Constructor Summary

Constructors
Constructor and Description
`FileStoreInputStream(FileStore store, boolean compression, boolean alwaysClose)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`protected void` `finalize()`
`int` `read()`
`int` `read(byte[] buff)`
`int` `read(byte[] b, int off, int len)`

### Methods inherited from class java.io.InputStream

`mark, markSupported, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileStoreInputStream

    public FileStoreInputStream(FileStore store,
                                boolean compression,
                                boolean alwaysClose)

### Method Detail

#### available

    public int available()

Overrides:
  `available` in class `java.io.InputStream`

#### read

    public int read(byte[] buff)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.InputStream`

#### finalize

    protected void finalize()

Overrides:
  `finalize` in class `java.lang.Object`

#### read

    public int read()
             throws java.io.IOException

Specified by:
  `read` in class `java.io.InputStream`
Throws:
  `java.io.IOException`